在旧的iPhone或者iPad上,如何安装旧版本的iOS应用程序

・5 分钟阅读

旧iPad可能仍然很强,但是,如果所有的应用都需要更新版本的iOS,那么就不能用它了,别担心,我们这里有一个巧妙的技巧,可以帮助你加载你最喜爱的应用的旧版本。。

处理旧版iOS和新应用程序的原因是什么?

尽管苹果每个版本iOS的更新都非常优秀,但是,每辆列车最终都有停止的那一天,例如,iPhone4 被卡在iOS7.1.2上,第一代iPad被卡在了iOS5.1.1中,随着iOS硬件的每一波新浪潮,一个个传统的硬件都被遗忘了。

虽然卡在旧版本的软件上是没办法的,但它令人沮丧。许多人只好放弃了这些旧的但仍在运转的设备,虽然他们对新的iOS特性不满意,但是因为下载应用程序很痛苦。

Apple配置App Store的方式总是针对最新版本的应用程序。在表面上,这对苹果来说是一个非常明智的选择: 当有更新的版本可用时,他们为什么会要求您下载较旧的,可能不太安全的软件?但是,当你在旧设备上时,这意味着应用程序可能与你的旧版本的iOS不兼容,例如,在iPad 1上的App Store中搜索应用程序,App Store应用程序会告诉您该应用程序无法下载,因为它需要运行iOS 7(或8或9)的设备,因此 无法在你的iPad上安装......即使在过去的某个时刻有一个iOS 5版本的应用程序。

他们不会告诉你的,但是,通过一个简单的技巧,你可以轻松地将旧版本的应用程序下载到旧的iOS设备上,并将它下载到旧的iOS设备上。

在我们引导你完成这个技巧之前,有一个小而且明显的警告: 这个技巧只适用于那些版本与你的操作系统兼容的应用,不能下载6个月前的旧版本的应用程序,从未有版本兼容 iOS 5。

考虑到这一点,让我们来看看如何轻轻松松使用应用程序来存储在iPad 1里。

如何将旧的应用程序版本下载到旧设备中,

就像我们前面所提到的,如果你使用iOS启动一个旧的iPad,并且尝试从下载任何东西, ios 5 非常古老,安装几乎肯定会失败,在99%个应用程序(即使该应用程序已经足够老了,有一个古老的iOS 5时代版本)。

然而,如果你在较新的iOS设备(就像你的iPhone 6 )上购买或下载应用程序的当前版本,则旧版本的应用程序可以访问,为什么,因为苹果的策略是,如果你购买了应用程序(这甚至适用于免费的"购买""),就应该可以下载它,当旧的iOS 5 设备从你的库(而不是从iTunes商店)请求新的应用时,它将搜索旧的兼容版本。

我们将用流行的漫画书阅读应用如果你在一个旧设备尝试下载(当前在 App Store中列出,要求iOS8.2或更高版本),你将得到一个安装错误,如上面突出显示的一样。

要在我们的iPad上获得Comic Zeal,我们需要使用我们的计算机或其他更新的iOS设备。

对于我们的示例,我们将使用 iTunes ,启动应用程序,并且在搜索框中搜索你的应用程序的名称,在搜索结果中选择应用程序,单击"购买"或"获取"按钮,取决于应用程序是付费还是免费。

一旦单击或按钮,就不必等待应用程序实际下载到你的计算机(我们建议你不要这样做,因为这将是一个新版本,你无法使用)。

购买了这个应用程序,然后在 App Store的旧设备上搜索,或者在下面的导航栏中查找"已购买"图标,找到应用程序后,单击"安装"按钮。

在单击"安装"之后,你将看到一个像下面这样的弹出版本,表明有一个旧版本的应用,单击"下载"最后一个兼容版本。

此时,应用程序将按预期安装,你可以使用它,尽管没有更新的功能。

这可能不是最方便的方法,但是,这个小小的解决方法是延长旧硬件生命的好方法。

讨论
Suntheboy profile image